<?php

namespace App\Filament\Resources\PengeluaranLimbahs;

use App\Filament\Resources\PengeluaranLimbahs\Pages\CreatePengeluaranLimbah;
use App\Filament\Resources\PengeluaranLimbahs\Pages\EditPengeluaranLimbah;
use App\Filament\Resources\PengeluaranLimbahs\Pages\ListPengeluaranLimbahs;
use App\Filament\Resources\PengeluaranLimbahs\Schemas\PengeluaranLimbahForm;
use App\Filament\Resources\PengeluaranLimbahs\Tables\PengeluaranLimbahsTable;
use App\Models\PengeluaranLimbah;
use BackedEnum;
use Filament\Resources\Resource;
use Filament\Schemas\Schema;
use Filament\Support\Icons\Heroicon;
use Filament\Tables\Table;
use UnitEnum;

class PengeluaranLimbahResource extends Resource
{
    protected static ?string $model = PengeluaranLimbah::class;

    protected static string|BackedEnum|null $navigationIcon = Heroicon::OutlinedTruck;

    protected static ?string $navigationLabel = 'Pengeluaran Limbah';

    protected static ?int $navigationSort = 2;

    public static function getNavigationBadge(): ?string
    {
        // Mengembalikan jumlah total data dari model
        return static::getModel()::count();
    }

    protected static string | UnitEnum | null $navigationGroup = 'Transaksi';

    protected static ?string $label = 'Pengeluaran Limbah';

    protected static ?string $pluralModelLabel = 'Pengeluaran Limbah';

    public static function form(Schema $schema): Schema
    {
        return PengeluaranLimbahForm::configure($schema);
    }

    public static function table(Table $table): Table
    {
        return PengeluaranLimbahsTable::configure($table);
    }

    public static function getRelations(): array
    {
        return [
            //
        ];
    }

    public static function getPages(): array
    {
        return [
            'index' => ListPengeluaranLimbahs::route('/'),
            'create' => CreatePengeluaranLimbah::route('/create'),
            'edit' => EditPengeluaranLimbah::route('/{record}/edit'),
        ];
    }
}
